{
	"name": "form/nc/report/cash-flow/query/voucher_row.json",

	"table": [
		{
			"record_type": [""],
			"table": "bookkeeping_voucher_row"
		}
	],
	"parameter": {
		"start_date": "form/nc/report/cash-flow/rec.json/start_date",
		"end_date": "form/nc/report/cash-flow/rec.json/end_date",
		"account_id": "form/nc/report/cash-flow/rec.json/account_id",
		"show_sql": true
	},
	"order": ["bkv.target_date", ">", "bkvr.json_data.account_id", ">", "bkvr.row_number", ">"],
	"order-new": ["bkv.target_date", ">", "bkvr.voucher_id", ">", "bkvr.row_number", ">"],
	"query": [["bkvr.json_data.account_id", "in", "account_id"], "and", ["bkv.target_date", ">=", "start_date"], "and", ["bkv.target_date", "<=", "end_date"]],
	"query-new": [
		["bkvr.debet_account_id", "in", "account_id"],
		"or",
		["bkvr.kredit_account_id", "in", "account_id"],
		"and",
		["bkv.target_date", ">=", "start_date"],
		"and",
		["bkv.target_date", "<=", "end_date"]
	]
}
